<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/ActionComponents/CAContinuousFill.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d81/_c_a_continuous_fill_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CAContinuousFill.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d81/_c_a_continuous_fill_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d24/class_c_a_continuous_fill.html">CAContinuousFill</a> : <a class="code hl_class" href="../../dc/d0b/class_c_a_continuous_base.html">CAContinuousBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">m_TargetUnits</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">m_SpentQuantity_total</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#aa1609474178c6ebb24ad21f8549c14e5">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#aa1609474178c6ebb24ad21f8549c14e5">m_ItemQuantity</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a1eeaa19d92232bc38282b952eb0f5b36">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1eeaa19d92232bc38282b952eb0f5b36">m_AdjustedQuantityFilledPerSecond</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a41afdc4cb9aed0b124759f7c55c20144">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a41afdc4cb9aed0b124759f7c55c20144">m_QuantityFilledPerSecond</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">    9</a></span>    <span class="keyword">protected</span> ref Param1&lt;float&gt;     <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">   10</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">m_TimeElpased</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a4174ec639b0e4bd85d1edf4f2db8fe76">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span>                 <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a4174ec639b0e4bd85d1edf4f2db8fe76">m_DefaultTimeStep</a> = 0.25;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a745552d19914e0999ff9ffb7d704d7ed">   12</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>                   <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a745552d19914e0999ff9ffb7d704d7ed">m_liquid_type</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#aa2455a1a31a64222c770dcf4d51fc517">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#aa2455a1a31a64222c770dcf4d51fc517">CAContinuousFill</a>( <span class="keywordtype">float</span> quantity_filled_per_second , <span class="keywordtype">int</span> liquid_type )</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a41afdc4cb9aed0b124759f7c55c20144">m_QuantityFilledPerSecond</a> = quantity_filled_per_second;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a745552d19914e0999ff9ffb7d704d7ed">m_liquid_type</a> = liquid_type;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a3267dc54ccebef7086d976bb034a22f0">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#a3267dc54ccebef7086d976bb034a22f0">Setup</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">m_TimeElpased</a> = 0;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a> )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        { </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a> = <span class="keyword">new</span> Param1&lt;float&gt;(0);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {   </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a>.param1 = 0;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#aa1609474178c6ebb24ad21f8549c14e5">m_ItemQuantity</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetQuantity();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">m_TargetUnits</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetQuantityMax() - action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetQuantity(); </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1eeaa19d92232bc38282b952eb0f5b36">m_AdjustedQuantityFilledPerSecond</a> = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialtyBonus( <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a41afdc4cb9aed0b124759f7c55c20144">m_QuantityFilledPerSecond</a>, <a class="code hl_variable" href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">m_Action</a>.GetSpecialtyWeight(), <span class="keyword">true</span> );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a30670fa48ef1d25a007dc9e89e5e4344">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#a30670fa48ef1d25a007dc9e89e5e4344">Execute</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetQuantity() &gt;= action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetQuantityMax() )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">m_SpentQuantity_total</a> &lt; <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">m_TargetUnits</a> )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a> += <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1eeaa19d92232bc38282b952eb0f5b36">m_AdjustedQuantityFilledPerSecond</a> * action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">m_TimeElpased</a> += action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetDeltaT();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">m_TimeElpased</a> &gt;= <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a4174ec639b0e4bd85d1edf4f2db8fe76">m_DefaultTimeStep</a> )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                    <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a>( action_data );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">m_TimeElpased</a> = 0;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                    <span class="comment">//Setup(action_data);   //reset data after repeat</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a>( action_data );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <a class="code hl_function" href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">OnCompletePogress</a>(action_data);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a2385842e1b75865708d5d002a8518d62">   73</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#a2385842e1b75865708d5d002a8518d62">Cancel</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> ( !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a> || !action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> )</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_function" href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a>( action_data );</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#gaf0a0748e044bd01fc3bb29aeba3b55e6">UA_CANCEL</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a079c07d8d466dbc29a69d0babc44b309">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#a079c07d8d466dbc29a69d0babc44b309">Interrupt</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {               </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">PRECISE_LOW</a> );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> super.Interrupt( action_data );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a6503e2b8ba221889ed7d47eb10026182">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#a6503e2b8ba221889ed7d47eb10026182">GetProgress</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {   </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">m_SpentQuantity_total</a>/<a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">m_TargetUnits</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">//---------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d1/d24/class_c_a_continuous_fill.html#a65c7420d90e41615637261fc6993571f">  100</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d24/class_c_a_continuous_fill.html#a65c7420d90e41615637261fc6993571f">CalcAndSetQuantity</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">m_SpentQuantity_total</a> += <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a> )</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a>.param1 = <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <a class="code hl_function" href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">SetACData</a>(<a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">m_SpentUnits</a>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordtype">bool</span> inject_agents = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">if</span>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() &amp;&amp; action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject().IsWell())</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                inject_agents = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <a class="code hl_class" href="../../db/d81/class_liquid.html">Liquid</a>.<a class="code hl_function" href="../../db/d81/class_liquid.html#a56ac8aaa3efbd57bdefa37fdb2fb91d7">FillContainerEnviro</a>(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#a745552d19914e0999ff9ffb7d704d7ed">m_liquid_type</a>, <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a>, inject_agents);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_variable" href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">m_SpentQuantity</a> = 0;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>};</div>
<div class="ttc" id="a_fireplace_base_8c_html_a94ed25b4845c825a2c5fd50e663cb80f"><div class="ttname"><a href="../../d8/dbb/_fireplace_base_8c.html#a94ed25b4845c825a2c5fd50e663cb80f">CalcAndSetQuantity</a></div><div class="ttdeci">protected void CalcAndSetQuantity()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dbb/_fireplace_base_8c_source.html#l02712">FireplaceBase.c:2712</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a0d37d5dd461d15b99bde41f229a7433f"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a0d37d5dd461d15b99bde41f229a7433f">CABase::m_Action</a></div><div class="ttdeci">protected ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00003">CABase.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_base_html_a15caa3f387f97bbe79d18e4269dec382"><div class="ttname"><a href="../../d0/df0/class_c_a_base.html#a15caa3f387f97bbe79d18e4269dec382">CABase::SetACData</a></div><div class="ttdeci">void SetACData(Param units)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da0/_c_a_base_8c_source.html#l00040">CABase.c:40</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html">CAContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00001">CAContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_base_html_a0ed880c4a0919f099c2891277df04d26"><div class="ttname"><a href="../../dc/d0b/class_c_a_continuous_base.html#a0ed880c4a0919f099c2891277df04d26">CAContinuousBase::OnCompletePogress</a></div><div class="ttdeci">void OnCompletePogress(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db8/_c_a_continuous_base_8c_source.html#l00008">CAContinuousBase.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html">CAContinuousFill</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00001">CAContinuousFill.c:2</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a079c07d8d466dbc29a69d0babc44b309"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a079c07d8d466dbc29a69d0babc44b309">CAContinuousFill::Interrupt</a></div><div class="ttdeci">override int Interrupt(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00084">CAContinuousFill.c:84</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a1748f549ee991845392962a1abc1b64d"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a1748f549ee991845392962a1abc1b64d">CAContinuousFill::m_SpentUnits</a></div><div class="ttdeci">protected ref Param1&lt; float &gt; m_SpentUnits</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00009">CAContinuousFill.c:9</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a1eeaa19d92232bc38282b952eb0f5b36"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a1eeaa19d92232bc38282b952eb0f5b36">CAContinuousFill::m_AdjustedQuantityFilledPerSecond</a></div><div class="ttdeci">protected float m_AdjustedQuantityFilledPerSecond</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00007">CAContinuousFill.c:7</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a2385842e1b75865708d5d002a8518d62"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a2385842e1b75865708d5d002a8518d62">CAContinuousFill::Cancel</a></div><div class="ttdeci">override int Cancel(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00073">CAContinuousFill.c:73</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a2c556206777f9a684b35770e56439dbf"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a2c556206777f9a684b35770e56439dbf">CAContinuousFill::m_TargetUnits</a></div><div class="ttdeci">protected float m_TargetUnits</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00003">CAContinuousFill.c:3</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a30670fa48ef1d25a007dc9e89e5e4344"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a30670fa48ef1d25a007dc9e89e5e4344">CAContinuousFill::Execute</a></div><div class="ttdeci">override int Execute(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00038">CAContinuousFill.c:38</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a3267dc54ccebef7086d976bb034a22f0"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a3267dc54ccebef7086d976bb034a22f0">CAContinuousFill::Setup</a></div><div class="ttdeci">override void Setup(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00020">CAContinuousFill.c:20</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a4174ec639b0e4bd85d1edf4f2db8fe76"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a4174ec639b0e4bd85d1edf4f2db8fe76">CAContinuousFill::m_DefaultTimeStep</a></div><div class="ttdeci">protected float m_DefaultTimeStep</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00011">CAContinuousFill.c:11</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a41afdc4cb9aed0b124759f7c55c20144"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a41afdc4cb9aed0b124759f7c55c20144">CAContinuousFill::m_QuantityFilledPerSecond</a></div><div class="ttdeci">protected float m_QuantityFilledPerSecond</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00008">CAContinuousFill.c:8</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a529e8ae609f59cdf9b7d22316fe1b6e4"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a529e8ae609f59cdf9b7d22316fe1b6e4">CAContinuousFill::m_TimeElpased</a></div><div class="ttdeci">protected float m_TimeElpased</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00010">CAContinuousFill.c:10</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a6503e2b8ba221889ed7d47eb10026182"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a6503e2b8ba221889ed7d47eb10026182">CAContinuousFill::GetProgress</a></div><div class="ttdeci">override float GetProgress()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00094">CAContinuousFill.c:94</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a65c7420d90e41615637261fc6993571f"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a65c7420d90e41615637261fc6993571f">CAContinuousFill::CalcAndSetQuantity</a></div><div class="ttdeci">void CalcAndSetQuantity(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00100">CAContinuousFill.c:100</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_a745552d19914e0999ff9ffb7d704d7ed"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#a745552d19914e0999ff9ffb7d704d7ed">CAContinuousFill::m_liquid_type</a></div><div class="ttdeci">protected int m_liquid_type</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00012">CAContinuousFill.c:12</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_aa1609474178c6ebb24ad21f8549c14e5"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#aa1609474178c6ebb24ad21f8549c14e5">CAContinuousFill::m_ItemQuantity</a></div><div class="ttdeci">protected float m_ItemQuantity</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00006">CAContinuousFill.c:6</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_aa2455a1a31a64222c770dcf4d51fc517"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#aa2455a1a31a64222c770dcf4d51fc517">CAContinuousFill::CAContinuousFill</a></div><div class="ttdeci">void CAContinuousFill(float quantity_filled_per_second, int liquid_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00014">CAContinuousFill.c:14</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_ad1ff670053ba2bc0aed293826e40b129"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#ad1ff670053ba2bc0aed293826e40b129">CAContinuousFill::m_SpentQuantity</a></div><div class="ttdeci">protected float m_SpentQuantity</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00004">CAContinuousFill.c:4</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_fill_html_aedb7ef900e0683663b4f1f82b7042273"><div class="ttname"><a href="../../d1/d24/class_c_a_continuous_fill.html#aedb7ef900e0683663b4f1f82b7042273">CAContinuousFill::m_SpentQuantity_total</a></div><div class="ttdeci">protected float m_SpentQuantity_total</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d81/_c_a_continuous_fill_8c_source.html#l00005">CAContinuousFill.c:5</a></div></div>
<div class="ttc" id="aclass_liquid_html"><div class="ttname"><a href="../../db/d81/class_liquid.html">Liquid</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dfb/_liquid_8c_source.html#l00001">Liquid.c:2</a></div></div>
<div class="ttc" id="aclass_liquid_html_a56ac8aaa3efbd57bdefa37fdb2fb91d7"><div class="ttname"><a href="../../db/d81/class_liquid.html#a56ac8aaa3efbd57bdefa37fdb2fb91d7">Liquid::FillContainerEnviro</a></div><div class="ttdeci">static void FillContainerEnviro(ItemBase container, int liquid_type, float amount, bool inject_agents=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dfb/_liquid_8c_source.html#l00138">Liquid.c:138</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_aca0b0ad8f2753c2d1ba69ca1cf7baf55"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">UASoftSkillsWeight::PRECISE_LOW</a></div><div class="ttdeci">const float PRECISE_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00119">ActionConstants.c:119</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00413">constants.c:413</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga27cc3557ea5e3394f26701d52a0ce245"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga27cc3557ea5e3394f26701d52a0ce245">UA_ERROR</a></div><div class="ttdeci">const int UA_ERROR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00432">constants.c:432</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaec2990f2dd7ed9f35d980856442b881b"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaec2990f2dd7ed9f35d980856442b881b">UA_PROCESSING</a></div><div class="ttdeci">const int UA_PROCESSING</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00411">constants.c:411</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_gaf0a0748e044bd01fc3bb29aeba3b55e6"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#gaf0a0748e044bd01fc3bb29aeba3b55e6">UA_CANCEL</a></div><div class="ttdeci">const int UA_CANCEL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00414">constants.c:414</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_a8e5ff2c2bb8b37380a7130140e2e6d3.html">ActionComponents</a></li><li class="navelem"><a class="el" href="../../d7/d81/_c_a_continuous_fill_8c.html">CAContinuousFill.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
